unit SkinnedPanelDesignTime;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, GR32_Image, GR32, GR32_Filters, GR32_Layers, inifiles,
  Dsgnintf, SkinnedComponents;

type
  TPropEdGetFile=class(TPropertyEditor)
  private
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
  end;

  procedure Register;

implementation

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(string), TSkinnedPanel, 'SkinFile', TPropEdGetFile);
end;


//*************************TPropEdGetFile **************************************

function TPropEdGetFile.GetAttributes: TPropertyAttributes;
begin
  GetAttributes:=[paDialog];
end;

function TPropEdGetFile.GetValue: string;
begin
  result:=(GetComponent(0) as TSkinnedPanel).SkinFile;
end;

procedure TPropEdGetFile.Edit;
var SkinnedPanel: TSkinnedPanel;
    OpenDlg: TOpenDialog;
begin
  SkinnedPanel:=TSkinnedPanel(GetComponent(0));
  OpenDlg:=TOpenDialog.Create(Application);

  With OpenDlg do
  begin
    Title:='Skin-Datei auswhlen...';
    Filter:='Skin-Datei (*.ini)|*.INI';
    Options:=[ofFileMustExist,ofEnableSizing];
    if Execute then
    begin
      SkinnedPanel.SkinFile:=FileName;
      if Designer<>nil then Designer.Modified;
      SkinnedPanel.Invalidate;
    end;
    Free;
  end;
end;


end.
 